#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip>

int main() {
	int n;
	double sum = 0, lol;
	std::cin >> n;
	std::vector<double>a;
	for (int i = 0; i < n*2; i++) {
		std::cin >> lol;
		a.push_back(lol);
	}
	std::vector<double>b;
	for (int i = 0; i < n*2; i+=2) {
		double procenat = a[i + 1];
		for (int j = 0; j < n*2; j+=2) {
			if (a[j + 1] >= procenat) sum += a[j] *(procenat/100);
		}
		b.push_back(sum);
		sum = 0;
	}
	for (int i = 0; i < b.size(); i++)std::cout << b[i] << std::endl;
	std::cout << std::fixed << *max_element(b.begin(), b.end());
}